NZBGET(1)

NAME
nzbget - binary news file grabber

DESCRIPTION

  Usage:

    nzbget [switches]

  Switches:

-h, --help
    Print this help-message

-v, --version
    Print version and exit

-c, --configfile <file>
    Filename of configuration-file

-n, --noconfigfile
    Prevent loading of configuration-file (required options must be passed with --option)

-p, --printconfig
    Print configuration and exit

-o, --option <name=value> Set or override option in configuration-file

-s, --server
    Start nzbget as a server in console-mode

-D, --daemon
    Start nzbget as a server in daemon-mode

-V, --serverversion
    Print server's version and exit

-Q, --quit
    Shutdown server

-A, --append <nzb-file>
    Send file to server's download queue

-C, --connect
    Attach client to server

-L, --list
    [F|G|O|S|H] Request list of downloads from server

F   list individual files and server status (default)

G   list groups (nzb-files) and server status

O   list post-processor-queue

H   list history

S   print only server status

-P, --pause
    [D|D2|O|S] Pause server:

D   pause download queue (default)

D2  pause download queue via second pause-register

O   pause post-processor queue

S   pause scan of incoming nzb-directory

-U, --unpause [D|D2|O|S]
    Unpause server:

D   unpause download queue (default)

D2  unpause download queue via second pause-register

O   unpause post-processor queue

S   unpause scan of incoming nzb-directory

-R, --rate <speed>
    Set download rate on server, in KB/s

-T, --top
    Add file to the top (beginning) of queue (for using with switch --append)

-K, --category <name>
    Assign category to nzb-file (for using with switch --append)

-G, --log <lines>
    Request last <lines> lines from server's screen-log

-W, --write <D|I|W|E|G> "Text" Send text to server's log

-S, --scan
    Scan incoming nzb-directory on server

-E, --edit [G|O|H] <action> <IDs> Edit items on server

G   Affect all files in the group (same nzb-file)

O   Edit post-processor-queue

H   Edit history

    <action> is one of:

<+offset|-offset>
    Move file(s)/group(s)/post-job in queue relative to current position, offset is an integer value

T   Move file(s)/group(s)/post-job to top of queue

B   Move file(s)/group(s)/post-job to bottom of queue

P   Pause file(s)/group(s)/ Postprocess history-item(s) again

U   Resume (unpause) file(s)/group(s)

A   Pause all pars (for groups)

R   Pause extra pars (for groups)/ Return history-item(s) back to download queue

D   Delete file(s)/group(s)/post-job(s)/history-item(s)

K <name>
    Set category (for groups)

N <name>
    Rename (for groups)

M   Merge (for groups)

O <name>=<value>
    Set post-process parameter (for groups)

I <priority>
    Set priority (signed integer) for file(s)/group(s)

<IDs>
    Comma-separated list of file-ids or ranges of file-ids, e. g.: 1-5,3,10-22